# Interface methods for submodule: ComplexToComplexFFTImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: ComplexToComplexFFTImageFilter
class ComplexToComplexFFTImageFilterProxy(_ImageToImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetTransformDirection(self, _arg) -> None:
		""""""
		...

	def GetTransformDirection(self):
		""""""
		...

